CourseLit logoCourseLit Docs
Api reference

Evaluate a quiz lesson for a product customer

Evaluates quiz answers for the target product customer using existing CourseLit learner runtime behavior. This records the evaluation result but does not mark the lesson complete.

POST
/api/products/{productId}/customers/{userId}/lessons/{lessonId}/evaluations

Evaluates quiz answers for the target product customer using existing CourseLit learner runtime behavior. This records the evaluation result but does not mark the lesson complete.

Authorization

ApiKeyAuth
x-api-key<token>

API key created in CourseLit dashboard settings. The legacy apikey request-body field is still accepted but deprecated.

In: header

Path Parameters

productId*string
userId*string
lessonId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://school.courselit.app/api/products/string/customers/string/lessons/string/evaluations" \  -H "Content-Type: application/json" \  -d '{    "answers": [      [        0      ],      [        1,        2      ]    ]  }'
{
  "pass": true,
  "score": 0,
  "requiresPassingGrade": true,
  "passingGrade": 0
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}